# Class: MarkerPacket

## MarkerPacket()

Implementation of the strange "Marker packet" (Tag 10)

RFC4880 5.8: An experimental version of PGP used this packet as the Literal packet, but no released version of PGP generated Literal packets with this tag. With PGP 5.x, this packet has been reassigned and is reserved for use as the Marker packet.

The body of this packet consists of: The three octets 0x50, 0x47, 0x50 (which spell "PGP" in UTF-8).

Such a packet MUST be ignored when received. It may be placed at the beginning of a message that uses features not available in PGP version 2.6 in order to cause that version to report that newer software is necessary to process the message.

## Constructor

#### new MarkerPacket()

Source:
  - packet/marker.js, line 37

### Methods

#### read(bytes) → {Boolean}

Parsing function for a marker data packet (tag 10).

##### Parameters:

Name | Type | Description
--- | --- | ---
`bytes` | Uint8Array | Payload of a tag 10 packet

Source:
  - packet/marker.js, line 47

##### Returns:

whether the packet payload contains "PGP"

Type
  Boolean